<?php 
/**
 * Plugin Name: Site Groups (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/SiteGroups
 * Description: Add group to measurables
 * Author: Openmost
 * Author URI: https://openmost.io
 * Version: 5.0.1
 */
?><?php
/**
 * Matomo - free/libre analytics platform
 *
 * @link https://matomo.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\Plugins\SiteGroups;

use Piwik\Measurable\Measurable;
use Piwik\Plugins\SitesManager\API;
use Piwik\Plugins\SitesManager\API as SiteManager;
use Piwik\Plugins\SitesManager\Model;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class SiteGroups extends \Piwik\Plugin
{
    public function registerEvents()
    {
        return [
            'MeasurableSettings.updated' => 'updateSiteGroup',
        ];
    }

    public function updateSiteGroup(&$args, $idSite)
    {
        if ($args->getPluginName() === 'SiteGroups') {
            $settings = new \Piwik\Plugins\SiteGroups\MeasurableSettings($idSite);
            $group = $settings->group->getValue();

            $model = new Model();
            $model->updateSite(array('group' => $group), $idSite);
        }

        return true;
    }
}
